﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="_RadGridBatch.aspx.cs" Inherits="_RadGridDefault" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
    </style>

</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager runat="server" ID="RadScriptManager1"></telerik:RadScriptManager>

        <telerik:RadScriptBlock runat="server" ID="RadCodeBlock1">
            <script type="text/javascript">
                var arrowKeys = {
                    Left: 37,
                    Right: 39,
                    Up: 38,
                    Down: 40
                };

                function navigateToCell(sender, args, columnIndex) {
                    var grid = $find("<%= RadGrid1.ClientID %>");
                    var masterTableView = grid.get_masterTableView();
                    var batchEditingManager = grid.get_batchEditingManager();

                    var cell;

                    switch (args.keyCode) {
                        case arrowKeys.Left:
                            args.preventDefault();
                            cell = $telerik.$(sender).closest("td").prev()[0];
                            break;
                        case arrowKeys.Right:
                            args.preventDefault();
                            cell = $telerik.$(sender).closest("td").next()[0];
                            break;
                        case arrowKeys.Up:
                            args.preventDefault();
                            cell = $telerik.$(sender).closest("tr").prev().find("td:nth-child(" + columnIndex + ")")[0];
                            break;
                        case arrowKeys.Down:
                            args.preventDefault();
                            cell = $telerik.$(sender).closest("tr").next().find("td:nth-child(" + columnIndex + ")")[0];
                            break;
                    }

                    if (cell) {
                        batchEditingManager.openCellForEdit(cell);
                    }
                }

            </script>
        </telerik:RadScriptBlock>

        <div style="height:100px;"></div>

        <telerik:RadGrid runat="server" ID="RadGrid1"
            OnNeedDataSource="RadGrid1_NeedDataSource"
            AutoGenerateColumns="false"
            AutoGenerateEditColumn="true"
            AllowSorting="true"
            AllowPaging="true" PageSize="10"
            OnUpdateCommand="RadGrid1_UpdateCommand"
            OnInsertCommand="RadGrid1_InsertCommand" ClientSettings-AllowKeyboardNavigation="true"
            OnPreRender="RadGrid1_PreRender">

            <MasterTableView CommandItemDisplay="Top" DataKeyNames="ID" EditMode="Batch" >

                <Columns>
                    <telerik:GridNumericColumn DataField="ID" HeaderText="ID" UniqueName="ID" InsertVisiblityMode="AlwaysVisible" ShowSpinButtons="true">
                    </telerik:GridNumericColumn>
                    <telerik:GridBoundColumn DataField="Name" HeaderText="Name" UniqueName="Name">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="Description" HeaderText="Description" UniqueName="Description">
                    </telerik:GridBoundColumn>
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>

        <div style="height:600px;"></div>

        
    </form>
</body>
</html>
